import 'package:flutter/material.dart';
import 'package:get/get.dart';

class SnackBarUtils {
  static SnackbarController success(
          {String message = "Proceso Realizado Correctamente", title = 'Operacion correcta', Color colorStatus = Colors.lightGreen, Color colorTitle = Colors.black}) =>
      _showSnack(message, title, colorStatus, colorTitle);

  static SnackbarController error({String message = "¡Ah Ocurrido un error!", String title = "¡Error!", Color colorStatus = Colors.red, Color colorTitle = Colors.white}) =>
      _showSnack(message, title, colorStatus, colorTitle);

  static SnackbarController warning(String message, {String title = "¡Advertecía!", Color colorStatus = Colors.yellowAccent, Color colorTitle = Colors.black}) =>
      _showSnack(message, title, colorStatus, colorTitle);

  static SnackbarController _showSnack(String message, String title, Color colorStatus, Color colorTitle) {
    return Get.snackbar(
      title,
      message,
      snackPosition: SnackPosition.TOP,
      backgroundColor: colorStatus,
      colorText: colorTitle,
      margin: const EdgeInsets.only(top: 20, left: 10, right: 10),
    );
  }
}
