import 'package:eishon_widgets/src/utils/decoration.utils.dart';
import 'package:eishon_widgets/src/widgets/text/title.widget.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';

class CustomLargeAppBar extends StatelessWidget
    implements PreferredSizeWidget {
  final String title;
  final List<Widget>? children;

  const CustomLargeAppBar(
      {super.key,
      required this.title,
        this.children
      });

  @override
  Size get preferredSize => Size.fromHeight(Get.size.height * .4);

  @override
  Widget build(BuildContext context) {
    return Material(
        color: Colors.transparent,
        child: Container(
            decoration: DecorationUtils.boxDecorationAppBar(context),
            child: AppBar(
                backgroundColor: Colors.transparent,
                elevation: 0.0,
                shadowColor: Colors.transparent,
                centerTitle: true,
                iconTheme: Theme.of(context).iconTheme,
                title: CustomTitle(
                  title: title,
                  color: Colors.white,
                  fontWeightDelta: 1,
                  textAlign: TextAlign.center,
                  size: 3.5,
                ),
              titleSpacing: 5,
              flexibleSpace: Center(
                heightFactor: Get.height*.15,
                child: ListView(
                  physics: const NeverScrollableScrollPhysics(),
                  shrinkWrap: true,
                    children: children??[]),
              ).paddingOnly(top: 50),

            )));
  }
}
