import 'package:eishon_widgets/src/utils/decoration.utils.dart';
import 'package:eishon_widgets/src/widgets/text/title.widget.dart';
import 'package:get/get.dart';
import 'package:flutter/material.dart';

class CustomSingleAppBar extends StatelessWidget
    implements PreferredSizeWidget {
  final String? title;

  const CustomSingleAppBar({
    super.key,
    this.title,
  });

  @override
  Widget build(BuildContext context) {
    return Material(
        color: Colors.transparent,
        child: Container(
            decoration: DecorationUtils.boxDecorationAppBar(context),
            child: AppBar(
                backgroundColor: Colors.transparent,
                elevation: 0.0,
                shadowColor: Colors.transparent,
                centerTitle: true,
                iconTheme: Theme.of(context).iconTheme,
                title: CustomTitle(
                  title: title!,
                  color: Colors.white,
                  fontWeightDelta: 1,
                  textAlign: TextAlign.center,
                  size: 3.5,
                ))));
  }

  @override
  Size get preferredSize => Size.fromHeight(Get.size.height * .08);
}
