import 'package:flutter/material.dart';
import 'package:get/get.dart';

class CustomButtonLarge extends StatelessWidget {
  const CustomButtonLarge({
    Key? key,
    required this.text,
    required this.onPressed,
    this.color,
    this.sizeText = 2.5,
  }) : super(key: key);

  final GestureTapCallback onPressed;
  final String text;
  final Color? color;
  final double sizeText;

  @override
  Widget build(BuildContext context) {
    return Container(
      height: Get.height * .055,
      width: Get.width,
      decoration: const BoxDecoration(
        borderRadius: BorderRadius.all(Radius.circular(8)),
      ),
      child: ElevatedButton(
        onPressed: onPressed,
        style: ButtonStyle(
          backgroundColor: MaterialStateProperty.all(
              color ?? Theme.of(context).primaryColorLight),
          shape: MaterialStateProperty.all<RoundedRectangleBorder>(
            RoundedRectangleBorder(borderRadius: BorderRadius.circular(20)),
          ),
        ),
        child: Container(
          alignment: Alignment.center,
          width: MediaQuery.of(context).size.width,
          padding: const EdgeInsets.all(10),
          child: Text(
            text,
            style: Theme.of(context).primaryTextTheme.bodyMedium!.apply(
                  color: Colors.white,
                  fontSizeDelta: sizeText,
                  fontWeightDelta: 1,
                ),
            textAlign: TextAlign.center,
          ),
        ),
      ),
    );
  }
}
