import 'package:flutter/material.dart';

class CustomSubtitle extends StatelessWidget {
  const CustomSubtitle({
    Key? key,
   required this.title,
    this.size = 0,
    this.color = Colors.black,
    this.fontWeight = 0,
    this.textAlign = TextAlign.start,
  }) : super(key: key);

  final String title;
  final double size;
  final Color color;
  final int fontWeight;
  final TextAlign textAlign;

  @override
  Widget build(BuildContext context) {
    return Text(
      title,
      textAlign: textAlign,
      style: Theme.of(context).textTheme.bodyMedium!.apply(fontSizeDelta: size, color: color, fontWeightDelta: fontWeight),
      overflow: TextOverflow.fade,
      maxLines: 10,
      softWrap: true,
      textWidthBasis: TextWidthBasis.parent,
    );
  }
}
