import 'package:flutter/material.dart';

class CustomTitle extends StatelessWidget {
  const CustomTitle({
    Key? key,
    required this.title,
    this.size = 0,
    this.color = Colors.black54,
    this.fontWeightDelta = 1,
    this.textAlign = TextAlign.start,
  }) : super(key: key);

  final String title;
  final double size;
  final Color color;
  final int fontWeightDelta;
  final TextAlign textAlign;

  @override
  Widget build(BuildContext context) {
    return Text(
      title,
      textAlign: textAlign,
      style: Theme.of(context).textTheme.titleSmall!.apply(
          fontSizeDelta: size, color: color, fontWeightDelta: fontWeightDelta),
      overflow: TextOverflow.ellipsis,
      maxLines: 3,
      softWrap: false,
      textWidthBasis: TextWidthBasis.parent,
    );
  }
}
