import 'package:eishon_widgets/src/utils/decoration.utils.dart';
import 'package:flutter/material.dart';

class CustomTextField extends StatelessWidget {
  final String labelText;
  final TextEditingController editingController;
  final int? maxLines;
  final TextInputType? textInputType;
  final bool? isEnable;
  final Widget? trailing;
  final int? maxCharts;
  final InputDecoration? decoration;
  final String? messageError;
  final TextStyle? textStyle;

  const CustomTextField(this.labelText, this.editingController,
      {super.key,
      this.maxLines,
      this.textInputType,
      this.trailing,
      this.maxCharts,
      this.isEnable,
      this.decoration,
      this.textStyle,
      this.messageError});

  @override
  Widget build(BuildContext context) {
    return TextField(
      maxLines: maxLines,
      enabled: isEnable,
      maxLength: maxCharts,
      enableIMEPersonalizedLearning: false,
      enableSuggestions: false,
      controller: editingController,
      keyboardType: textInputType,
      decoration: decoration ??
          DecorationUtils.outLineText(context,
              labelText: labelText, trailing: trailing),
      style: textStyle ?? Theme.of(context).textTheme.bodyLarge,
    );
  }
}
